# Interface LegacyConfiguration

All Superinterfaces:
  `AntBuilderAware, Buildable, Configuration, FileCollection, HasAttributes, HasConfigurableAttributes<Configuration>, Iterable<File>, Named`

@Incubating public interface LegacyConfiguration extends Configuration
A `Configuration` with a mutable role, that can potentially perform behavior of a `ConsumableConfiguration`, a `ResolvableConfiguration`, or a `DependencyScopeConfiguration`.

Since:
  8.14

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Configuration

  `Configuration.State`

  ### Nested classes/interfaces inherited from interface FileCollection

  `FileCollection.AntType`

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface Configuration

  `copy, copy, copy, copyRecursive, copyRecursive, copyRecursive, defaultDependencies, disableConsistentResolution, exclude, extendsFrom, extendsFrom, fromDependencyCollector, getAllArtifacts, getAllDependencies, getAllDependencyConstraints, getArtifacts, getBuildDependencies, getDependencies, getDependencyConstraints, getDescription, getExcludeRules, getExtendsFrom, getHierarchy, getIncoming, getOutgoing, getResolutionStrategy, getResolvedConfiguration, getState, getTaskDependencyFromProjectDependency, isCanBeConsumed, isCanBeDeclared, isCanBeResolved, isTransitive, isVisible, outgoing, resolutionStrategy, resolutionStrategy, resolve, setCanBeConsumed, setCanBeDeclared, setCanBeResolved, setDescription, setExtendsFrom, setTransitive, setVisible, shouldResolveConsistentlyWith, withDependencies`

  ### Methods inherited from interface FileCollection

  `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsFileTree, getAsPath, getElements, getFiles, getSingleFile, isEmpty, minus, plus`

  ### Methods inherited from interface HasAttributes

  `getAttributes`

  ### Methods inherited from interface HasConfigurableAttributes

  `attributes`

  ### Methods inherited from interface Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface Named

  `getName`